# Curso prático de introdução ao GNU Debugger (GDB) 

Neste curso prático, ao vivo por videoconferência (Jitsi), nós vamos explorar as funcionalidades do depurador de código GNU Debugger.

## Tópicos

Sábado, 3 de maio:

- Primeiro contato guiado
  - O que é o GDB
  - O que é depurar (*debugar*)
  - Uma pequena demonstração
  - Opções de início do GDB
- Instalação e configurações
- Aplicações em baixo e alto nível
  - O GDB e a programação em baixo nível
  - O GDB e a programação em C/C++

Sábado, 10 de maio:

- Binários executáveis
  - O que são programas
  - O formato ELF
  - Símbolos de depuração
  - Inspecionando a execução de programas
- Casos de uso

> Exemplos com programas em C e Assembly Intel x86_64 (NASM).

**Inscrições encerradas**

<!--
## Carga horária e calendário

- Duração: 8h
- Dois sábados consecutivos:
  - Dias 3 e 10 de maio de 2025
  - Das 14h às 18h

## Investimento

Inscrição: **R$150,00**

## Como inscrever-se

1. Envie um pix no valor da inscrição para **cursos@blauaraujo.com**.
2. Envie um e-mail para **cursos@blauaraujo.com** contendo:

  - Anexo: Comprovante de pagamento
  - Assunto: Curso GDB
  - Mensagem:
    - Nome completo
    - E-mail válido
    - CPF ou CNPJ
    - Endereço postal completo com CEP

**Importante!** Todas as informações são obrigatórias!

Em resposta, você receberá um e-mail de confirmação com os detalhes sobre o acesso ao curso.

## Dúvidas e outras informações

E-mail: blau@debxp.org
-->
